package code;

import java.io.IOException;
import java.net.URI;
import java.util.ArrayList;
import java.util.List;

import com.sun.net.httpserver.HttpExchange;
import com.sun.net.httpserver.HttpHandler;

public class Scenari implements HttpHandler {

	@Override
	public void handle(HttpExchange exchange) throws IOException {
		URI requestURI = exchange.getRequestURI();
		String path[] = requestURI.toString().split("/");
		String lastfile = path[path.length - 1];

		String requestMethod = exchange.getRequestMethod();
		List<String> strlist = new ArrayList<>(); //serve List<String> a causa di .put("content-type", strlist);
		strlist.add("text/json");
		exchange.getResponseHeaders().put("content-type", strlist);//opzionale, per dire cosa c'e' nel body
		
		if(Helper.compareText(lastfile,"scenari")) {
			if(Helper.compareText(requestMethod,"GET")) {
				String response = "ecco gli scenari";
				Helper.sendResponse(response,exchange);
			} else {
				Helper.methodNotAllowed(exchange);
			}
			return;
		}
		
		if(Helper.compareText(lastfile,"attiva")) {
			if(Helper.compareText(requestMethod,"PUT")) {
				String response = "scenario attivato/disattivato";
				Helper.sendResponse(response,exchange);
			} else {
				Helper.methodNotAllowed(exchange);
			}
			return;
		}
		
		if(Helper.compareText(lastfile,"registra")) {
			if(Helper.compareText(requestMethod,"PUT")) {
				String response = "registrazione ingaggiata";
				Helper.sendResponse(response,exchange);
			} else {
				Helper.methodNotAllowed(exchange);
			}
			return;
		}
		
		if(Helper.compareText(lastfile,"conferma")) {
			if(Helper.compareText(requestMethod,"POST")) {
				String response = "scenario aggiunto";
				Helper.sendResponse(response,exchange);
			} else {
				Helper.methodNotAllowed(exchange);
			}
			return;
		}
		
		Helper.pageNotFound(exchange);
	}

}
